View Issue Details

IDProjectCategoryView StatusLast Update
14224Feature requests[All Projects] Survey takingpublic2019-02-27 08:21
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target Version4.0.0devFixed in Version 
Summary14224: Add pattern for some question type (numeric)
Description

With numeric question type (and multiple, and text forced numeric etc …) we can't use number input due to radix. But we can use pattern …

Additional Information

I think we must remove radix usage totally and use type=number, then user really choose is radix and we get always a number in js and a number in php.
Currently : don't find a way to add {0-10} restriction : expression manager forced broke this. But it can be done in 4.0

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2018-11-07 09:10

developer  

DenisChenu

DenisChenu

2018-11-07 09:12

developer   ~49563

Done on accessible_vanilla : https://gitlab.com/SondagesPro/SurveyThemes/accessible_vanilla/commit/a405f595e12532461ab3f0a4f9fb1bf2331c51b7

DenisChenu

DenisChenu

2018-11-07 09:39

developer   ~49564

Fix committed to develop_pattern_numeric branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28473

DenisChenu

DenisChenu

2019-02-27 08:21

developer   ~50691

DO NOT do this in core (except in JS only solution) since validation can be an issue …

Related Changesets

LimeSurvey: develop_pattern_numeric b3ef5f54

2018-11-07 09:39:42

DenisChenu

Details Diff
New feature 14224: Add pattern for some question type (numeric)
Dev: starting point : some other answer need it (array text/number, short text number)
Dev: this disable submitting form directly
Affected Issues
14224
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/answer.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.twig Diff File
mod - application/views/survey/questions/answer/numerical/answer.twig Diff File

Issue History

Date Modified Username Field Change
2018-11-07 09:08 DenisChenu New Issue
2018-11-07 09:10 DenisChenu File Added: Capture du 2018-11-07 08-55-06.png
2018-11-07 09:12 DenisChenu Note Added: 49563
2018-11-07 09:39 DenisChenu Changeset attached => LimeSurvey develop_pattern_numeric b3ef5f54
2018-11-07 09:39 DenisChenu Note Added: 49564
2018-11-07 09:39 DenisChenu Assigned To => DenisChenu
2018-11-07 09:39 DenisChenu Resolution open => fixed
2018-12-18 15:32 DenisChenu Target Version => 4.0.0dev
2019-02-27 08:21 DenisChenu Status new => closed
2019-02-27 08:21 DenisChenu Note Added: 50691